FutureAdapter (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.helpers

## Class FutureAdapter<V>

- java.lang.Object
- - org.neo4j.helpers.FutureAdapter<V>

- All Implemented Interfaces:
    Future<V>
  Direct Known Subclasses:
    FutureAdapter.Present

      public abstract class FutureAdapter<V>
      extends Object
      implements Future<V>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FutureAdapter.Present<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Future<Void>` | `VOID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FutureAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancel(boolean mayInterruptIfRunning)`
    `static <T> Future<T>` | `future(Callable<T> task)`
    `boolean` | `isCancelled()`
    `static <T> Future<T>` | `latchGuardedValue(ValueGetter<T> value, CountDownLatch guardedByLatch)`
    `static Future<Integer>` | `processFuture(Process process)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.concurrent.Future

      `get, get, isDone`

- - ### Field Detail

    - #### VOID

          public static final Future<Void> VOID

  - ### Constructor Detail

    - #### FutureAdapter

          public FutureAdapter()

  - ### Method Detail

    - #### cancel

          public boolean cancel(boolean mayInterruptIfRunning)

      Specified by:
        `cancel` in interface `Future<V>`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Future<V>`

    - #### latchGuardedValue

          public static <T> Future<T> latchGuardedValue(ValueGetter<T> value,
                                        CountDownLatch guardedByLatch)

    - #### processFuture

          public static Future<Integer> processFuture(Process process)

    - #### future

          public static <T> Future<T> future(Callable<T> task)

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.